#
# spec file for package mx4j (Version 1.1.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl ant ant-trax attr audit-libs autoconf automake bash bcel bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat-32bit file filesystem fillup findutils flex fontconfig-32bit freetype2-32bit gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv jaf jakarta-commons-logging java-1_4_2-sun java-1_4_2-sun-devel javamail jpackage-utils junit jython klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio log4j m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl oro pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline regexp rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-alternatives util-linux vim xalan-j2 xerces-j2 xorg-x11-libs-32bit zlib zlib-32bit zlib-devel

Name:           mx4j
BuildRequires:  ant-trax bcel jaf jakarta-commons-logging java-1_4_2-sun-devel javamail junit jython log4j update-alternatives
%define name        mx4j
%define version     1.1.1
%define release     5jpp
%define section     free
Version:        1.1.1
Release:        20.2
Summary:        Open Source Implementation of JMX Java API
License:        Apache
Group:          Development/Libraries/Java
Source0:        %{name}-%{version}.tar.gz
Patch0:         %{name}-%{version}-ssl-to-javax.patch
Patch1:         %{name}-%{version}-log4j-updates.patch
URL:            http://mx4j.sourceforge.net/
Buildarch:      noarch
PreReq:         /usr/sbin/update-alternatives
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Obsoletes:      openjmx
Requires:       java
Provides:       jmxri

%description
OpenJMX is an open source implementation of the Java(TM) Management
Extensions (JMX).



%debug_package
%package javadoc
Group:          Development/Libraries/Java
Summary:        Javadoc for mx4j
Obsoletes:      openjmx-javadoc

%description javadoc
OpenJMX is an open source implementation of the Java(TM) Management
Extensions (JMX).

This package contains the javadoc documentation for OpenJMX.



%package manual
Group:          Development/Libraries/Java
Summary:        Manual for mx4j

%description    manual
OpenJMX is an open source implementation of the Java(TM) Management
Extensions (JMX).

This package contains the manual for OpenJMX.



%prep
rm -rf $RPM_BUILD_ROOT
%setup -n %{name}
%patch0
%patch1
# rm all files except xdoclet/xjavadoc/docbook
find lib -type f ! -name "xdoclet*.jar" ! -name "docbook*.*" ! -name "xjavadoc*.jar" -exec rm -f \{\} \;

%build
export CLASSPATH=$(build-classpath activation javamail/mailapi javamail/smtp \
   jython jakarta-commons-logging xml-commons-apis bcel jsse jaas jce log4j \
   junit jaxp_transform_impl)
cd build
ant jars javadocs docs

%install
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}
install -m 644 dist/lib/%{name}-actions.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-actions-%{version}.jar
install -m 644 dist/lib/%{name}-jmx.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-jmx-%{version}.jar
install -m 644 dist/lib/%{name}-tools.jar $RPM_BUILD_ROOT%{_javadir}/%{name}/%{name}-tools-%{version}.jar
pushd $RPM_BUILD_ROOT%{_javadir}/%{name}
   for jar in *-%{version}.jar ; do
      ln -fs ${jar} $(echo $jar | sed "s|-%{version}.jar|.jar|g")
   done
popd
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -r dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/sbin/update-alternatives --install %{_javadir}/jmxri.jar jmxri %{_javadir}/%{name}/%{name}-jmx.jar 0
# Test SecurityProvider

%postun
if [ "$1" = "0" ]; then
	/usr/sbin/update-alternatives --remove jmxri %{_javadir}/%{name}/%{name}-jmx.jar
fi

%files
%defattr(-,root,root)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}

%files manual
%defattr(0644,root,root,0755)
%doc dist/docs/*

%changelog -n mx4j
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Dec 14 2005 - dbornkessel@suse.de
- uncommented the dynamic security provider loading as those providers
  are configures statically for each JRE / SDK.
- replaced deprecated log4j statements with their newer equivalents
* Thu Sep 29 2005 - dmueller@suse.de
- add norootforbuild
* Thu Sep 16 2004 - skh@suse.de
- Fix prerequires
* Sun Sep 05 2004 - skh@suse.de
- Initial package created with version 1.1.1 (JPackage 1.5)
